/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: MakeEdit.cpp,v 2.2 1999/10/16 01:43:50 jeff Exp $

*******************************************************************************/


#include <qfiledlg.h>
#include <qmsgbox.h>
#include <qtstream.h>

#include "MakeEdit.h"

#define Inherited MakeEditData

MakeEdit::MakeEdit
(
  const QString &fileName,
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name )
{
  saveName = fileName;
  QFile inFile( saveName );
  inFile.open( IO_ReadOnly );
  QTextStream inStream( &inFile );
  for( QString line = inStream.readLine();
       ! inStream.eof();
       line = inStream.readLine() )
    makefileEdit->insertLine( line );
  inFile.close();
}


MakeEdit::~MakeEdit()
{
}

void MakeEdit::SaveMakefile()
{
  QFile out( saveName );
  if( ! out.open( IO_WriteOnly ) )
  {
    QMessageBox::message( tr( "Error..." ), 
                          tr( "Unable to write to %1" ).arg( saveName ) );
    
    reject();
    return;
  }

  QTextStream stream( &out );
  stream << makefileEdit->text();

  out.close();

  accept();
}



