/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: GridLayoutPropPage.h,v 2.3 2000/04/30 17:09:38 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: GridLayoutPropPage.h
	Last generated: Sat Jan 17 14:36:03 1998

 *********************************************************************/

#ifndef GridLayoutPropPage_included
#define GridLayoutPropPage_included

#include "GridLayoutPropPageData.h"

class GridLayout;
class WidgetLayout;

class GridLayoutPropPage : public GridLayoutPropPageData
{
    Q_OBJECT

public:

    GridLayoutPropPage
    (
	GridLayout*		layout,
	bool			topLevel,
	const WidgetLayout&	theWidgetLayout,
        QWidget* 		parent = NULL,
        const char* 		name = NULL
    );

    virtual ~GridLayoutPropPage();

    virtual bool Apply();
    // Apply changes to its internal layout.  Return TRUE if any changes were
    // made.

protected:

    virtual void ColumnSelected();
    // A column has been selected

    virtual void SetColumnInfo();
    // The apply button for setting the column info has be clicked

private: // Methods

    void UpdateScreen();
    // Update the screen

    void ParseColumnLine( const QString&        line,
			  int&                  spacing,
			  int&                  stretch );
    // Parse the column line and return the spacing and stretch it contains.

private: // Attributes

    GridLayout*	myLayout;
    // Grid Layout for the page

    const WidgetLayout&	myWidgetLayout;
    // The widget layout for the page

};
#endif // GridLayoutPropPage_included
