/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: KListSpinBoxPropPage.cpp,v 2.1 1999/10/16 01:46:56 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: KListSpinBoxPropPage.cpp
	Last generated: Fri Mar 5 22:39:23 1999

 *********************************************************************/

#include "DlgKListSpinBox.h"
#include "KListSpinBoxPropPage.h"

#define Inherited KListSpinBoxPropPageData

KListSpinBoxPropPage::KListSpinBoxPropPage
(
    DlgKListSpinBox* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    myItems->insertStrList( &widget->GetItems() );
    
    QString str;
    str.setNum( widget->GetKListSpinBox()->getIndex() );
    myIndex->setText( str );
}


KListSpinBoxPropPage::~KListSpinBoxPropPage()
{
}


void KListSpinBoxPropPage::Apply(
    DlgWidget*	theWidget
    )
{
    DlgKListSpinBox* widget = static_cast<DlgKListSpinBox*>(theWidget);

    QStrList items;
    for( unsigned int i = 0; i < myItems->count(); ++i )
    {
	items.append( myItems->text( i ) );
    }
    widget->SetItems( items );
    
    QString str = myIndex->text();
    widget->GetKListSpinBox()->setIndex( str.toUInt() );
}


void KListSpinBoxPropPage::itemChanged(
    const char*	theNewItem
    )
{
    myNewItem->setText( theNewItem );
}


void KListSpinBoxPropPage::addItem()
{
    QString str = myNewItem->text();
    if( !str.isEmpty() )
    {
	myItems->insertItem( str );
    }

    myNewItem->setText( "" );
}


void KListSpinBoxPropPage::removeItem()
{
    if( myItems->currentItem() >= 0 )
    {
	myItems->removeItem( myItems->currentItem() );
    }
}


void KListSpinBoxPropPage::updateItem()
{
    QString str = myNewItem->text();
    if( !str.isEmpty() && (myItems->currentItem() >= 0) )
    {
	myItems->changeItem( str, myItems->currentItem() );
    }
}


