/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: KSeparatorPropPage.cpp,v 2.1 1999/10/16 01:47:19 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: KSeparatorPropPage.cpp
	Last generated: Fri Mar 5 22:39:23 1999

 *********************************************************************/

#include "DlgKSeparator.h"
#include "KSeparatorPropPage.h"

#define Inherited KSeparatorPropPageData

KSeparatorPropPage::KSeparatorPropPage
(
    DlgKSeparator* widget,
    QWidget* parent,
    const char* name
)
    :
    Inherited( parent, name )
{
    const KSeparator* separator = widget->GetKSeparator();
    
    int orient = separator->orientation();
    if( orient & QFrame::HLine )
    {
	isHorizontal->setChecked( TRUE );
    }
    else if( orient & QFrame::VLine )
    {
	isVertical->setChecked( TRUE );
    }
}


KSeparatorPropPage::~KSeparatorPropPage()
{
}


void KSeparatorPropPage::Apply(
    DlgWidget*	theWidget
    )
{
    DlgKSeparator* widget = static_cast<DlgKSeparator*>(theWidget);

    int orient = 0;
    if( isHorizontal->isChecked() )
    {
	orient |= QFrame::HLine;
    }
    else if( isVertical->isChecked() )
    {
	orient |= QFrame::VLine;
    }
    
    widget->GetKSeparator()->setOrientation( orient );
}


