/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: PixmapOption.cpp,v 2.3 1999/10/16 01:47:58 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Dlgedit generated file ---

	File: PixmapOption.cpp
	Last generated: Fri May 23 20:42:41 1997

 *********************************************************************/

#include <stdlib.h>

#include <qcolordialog.h>

#include "pixmap/PixmapOption.h"

#include "GuiTools.h"

#define Inherited PixmapOptionData

PixmapOption::PixmapOption
(
 const QColor &color,
 const QSize &size,
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name )
{
	setCaption( tr( "Options" ) );

  QString str;

  str.setNum( size.width() );
  itsWidth->setText( str );

  str.setNum( size.height() );
  itsHeight->setText( str );

  GuiTools::ChangeColor( itsColorButton, color );
}


PixmapOption::~PixmapOption()
{
}

const QColor &PixmapOption::GetBackgroundColor()
{
  return itsColorButton->backgroundColor();
}

QSize PixmapOption::GetSize()
{
  return QSize( atoi( itsWidth->text() ), atoi( itsHeight->text() ));
}

void PixmapOption::ChooseNewColor()
{
    QColor color = QColorDialog::getColor( itsColorButton->backgroundColor(),
                                           this );
    if( color.isValid() )
    {
        GuiTools::ChangeColor( itsColorButton, color );
    }
}

