/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: ListBoxPage.h,v 2.3 2000/04/22 00:57:53 jeff Exp $

*******************************************************************************/


#ifndef ListBoxPage_included
#define ListBoxPage_included

#include "ListBoxPageData.h"

class DlgWidget;

class ListBoxPage : public ListBoxPageData
{
    Q_OBJECT

public:

    ListBoxPage
    (
	DlgWidget* widget,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~ListBoxPage();

public slots:

    void Apply( DlgWidget*	widget );
    // apply changes to the widget

protected slots:
        
    virtual void LayoutModeClicked( int );

private slots:

    void AddClicked();
    void ChangeClicked();
    void DeleteClicked();
    void ListSelChanged( int item );
    void NewItemChanged( const QString& );

private:

    void Update( void );

};
#endif // ListBoxPage_included
