/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: SplitterPage.cpp,v 2.2 1999/10/16 01:49:42 jeff Exp $

*******************************************************************************/


/**********************************************************************

	--- Qt Architect generated file ---

	File: SplitterPage.cpp
	Last generated: Thu Sep 16 21:40:39 1999

 *********************************************************************/

#include "SplitterPage.h"

#define Inherited SplitterPageData

#include "widget/DlgSplitter.h"

SplitterPage::SplitterPage
(
 DlgWidget *widget,
	QWidget* parent,
	const char* name
)
	:
	Inherited( parent, name )
{
  QSplitter *splitter = (QSplitter *)widget->GetWidget();

  opaqueResize->setChecked( splitter->opaqueResize() );

  Qt::Orientation o = splitter->orientation();

  horizontalOrientation->setChecked( o == Qt::Horizontal );
  verticalOrientation->setChecked( o == Qt::Vertical );
}


SplitterPage::~SplitterPage()
{
}


void SplitterPage::Apply( DlgWidget *widget )
{
  QSplitter *splitter = (QSplitter *)widget->GetWidget();

  splitter->setOpaqueResize( opaqueResize->isChecked() );
  
  Qt::Orientation o;

  if( horizontalOrientation->isChecked() )
    o = Qt::Horizontal;
  else
    o = Qt::Vertical;

  splitter->setOrientation( o );
}
