/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: WidgetCommonPage.h,v 2.1 1999/10/16 01:50:08 jeff Exp $

*******************************************************************************/


#ifndef WidgetCommonPage_included
#define WidgetCommonPage_included

#include "WidgetCommonPageData.h"

class DlgWidget;

class WidgetCommonPage : public WidgetCommonPageData
{
    Q_OBJECT

public:

    WidgetCommonPage
    (
	DlgWidget* widget,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~WidgetCommonPage();

    void Apply( DlgWidget*	widget );
    // apply changes to the widget

private:

    // Enums corresponding to the item in the combo box for focus policy
    enum
    {
	Policy_Tab	= 0,
	Policy_Click	= 1,
	Policy_Strong	= 2,
	Policy_No	= 3
    };

    // Enums corresponding to the item in the combo box for background mode
    enum
    {
	Background_FixedColor			= 0,
	Background_FixedPixmap			= 1,
	Background_NoBackground			= 2,
	Background_PaletteForeground		= 3,
	Background_PaletteButton		= 4,
	Background_PaletteLight			= 5,
	Background_PaletteMidlight		= 6,
	Background_PaletteDark			= 7,
	Background_PaletteMid			= 8,
	Background_PaletteText			= 9,
	Background_PaletteBrightText		= 10,
	Background_PaletteBase			= 11,
	Background_PaletteBackground		= 12,
	Background_PaletteShadow		= 13,
	Background_PaletteHighlight		= 14,
	Background_PaletteHighlightedText	= 15
    };

    // Enums corresponding to the item in the combo box for font propagation
    enum
    {
	Font_NoChildren,
	Font_SameFont,
	Font_AllChildren
    };
    
    // Enums corresponding to the item in the combo box for palette propagation
    enum
    {
	Palette_NoChildren,
	Palette_SamePalette,
	Palette_AllChildren
    };
};
#endif // WidgetCommonPage_included
