/*******************************************************************************

    Qt Architect

    Copyright (C) 1997-1999 Jeff Harris and Klaus Ebner

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    $Id: WidgetVarMapPage.h,v 2.1 1999/10/16 01:50:18 jeff Exp $

*******************************************************************************/


#ifndef WidgetVarMapPage_included
#define WidgetVarMapPage_included

#include <qlist.h>
#include <qstrlist.h>

#include "widget/DlgWidget.h"

#include "WidgetVarMapPageData.h"

class DlgWidget;
class SignalConnection;

class WidgetVarMapPage : public WidgetVarMapPageData
{
    Q_OBJECT

public:

    WidgetVarMapPage
    (
	DlgWidget* widget,
        QWidget* parent = NULL,
        const char* name = NULL
    );

    virtual ~WidgetVarMapPage();

    void Apply( DlgWidget*	widget );
    // apply changes to the widget

private slots:

    void Update();
    // update dialog after an event occurs

    void SignalChanged(int);

    void SignalSelected(int);

    void AddSignal();
    void ModifySignal();
    void DeleteSignal();
    
    
private:

    QStrList	itsSignals;
    // list of possible signals that can be connected

};
#endif // WidgetVarMapPage_included
